ComplexKeyHashMap (Groovy 4.0.15)

Package: org.codehaus.groovy.util

## [Java] Class ComplexKeyHashMap

- org.codehaus.groovy.util.ComplexKeyHashMap

-     @Deprecated
      public class ComplexKeyHashMap
      extends Object

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `ComplexKeyHashMap.Entry` |
    `interface` | `ComplexKeyHashMap.EntryIterator` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static int` | `DEFAULT_CAPACITY` |
    `protected static int` | `MAXIMUM_CAPACITY` |
    `protected static int` | `MINIMUM_CAPACITY` |
    `protected int` | `size` |
    `protected Map.Entry[]` | `table` |
    `protected int` | `threshold` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ComplexKeyHashMap()`
    `ComplexKeyHashMap(boolean b)`
    `ComplexKeyHashMap(int expectedMaxSize)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `clear()`
    `` | `public MetaMethodIndex.EntryIterator` | `getEntrySetIterator()`
    `` | `public Entry[]` | `getTable()`
    `` | `public boolean` | `hasNext()`
    `` | `public static int` | `hash(int h)`
    `` | `public void` | `init(int initCapacity)`
    `` | `public boolean` | `isEmpty()`
    `` | `public Map.Entry` | `next()`
    `` | `public void` | `resize(int newLength)`
    `` | `public int` | `size()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected static final int DEFAULT_CAPACITY

    - #### protected static final int MAXIMUM_CAPACITY

    - #### protected static final int MINIMUM_CAPACITY

    - #### protected int size

    - #### protected Map.Entry[] table

    - #### protected int threshold

  - ### Constructor Detail

    - #### public ComplexKeyHashMap()

    - #### public ComplexKeyHashMap(boolean b)

    - #### public ComplexKeyHashMap(int expectedMaxSize)

  - ### Method Detail

    - #### public void clear()

    - #### public MetaMethodIndex.EntryIterator getEntrySetIterator()

    - #### public Entry[] getTable()

    - #### @Override
      public boolean hasNext()

    - #### public static int hash(int h)

    - #### public void init(int initCapacity)

    - #### public boolean isEmpty()

    - #### @Override
      public Map.Entry next()

    - #### public void resize(int newLength)

    - #### public int size()